Rapid7 Vulnerability & Exploit Database

Gentoo Linux: CVE-2014-8517: tnftp: Arbitrary code execution

Back to Search

Gentoo Linux: CVE-2014-8517: tnftp: Arbitrary code execution

Severity
8
CVSS
(AV:N/AC:L/Au:N/C:P/I:P/A:P)
Published
11/17/2014
Created
07/25/2018
Added
10/30/2017
Modified
10/30/2017

Description

The fetch_url function in usr.bin/ftp/fetch.c in tnftp, as used in NetBSD 5.1 through 5.1.4, 5.2 through 5.2.2, 6.0 through 6.0.6, and 6.1 through 6.1.5 allows remote attackers to execute arbitrary commands via a | (pipe) character at the end of an HTTP redirect.

Solution(s)

  • gentoo-linux-upgrade-net-ftp-tnftp

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;